For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DonorAtlasDashboard
  • Getting Started
    • Welcome
    • Authentication
    • Quickstart
  • Guides
    • Donor Profile Schema
    • Network
    • Credits & Billing
    • Error Handling
  • API Reference
      • POSTCreate a new donor list
      • GETGet all lists metadata
      • GETGet single list metadata
      • PATCHRename a list
      • DELDelete a list
      • POSTAdd donors to a list
      • POSTRemove donors from a list
LogoLogo
DonorAtlasDashboard
API ReferenceLists

Delete a list

DELETE
https://api.donoratlas.com/v1/partners/lists/:list_id
DELETE
/v1/partners/lists/:list_id
$curl -X DELETE https://api.donoratlas.com/v1/partners/lists/list_id \
> -H "x-api-key: <apiKey>"

Delete a donor list. The list must be removable (not a system list).

Was this page helpful?
Previous

Add donors to a list

Next
Built with

Authentication

x-api-keystring

Your DonorAtlas API key. Contact support@donoratlas.com to get started.

Path parameters

list_idstringRequired1-100 characters
ID of the list to delete

Errors

403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error